import time
import random
from pygaze.display \
    import Display
from pygaze.screen import Screen
from pygaze.keyboard \
    import Keyboard
from pygaze.logfile import Logfile

# Open a new Display
disp = Display()

# Create a new Keyboard
kb = Keyboard(keylist=None, \
    timeout=5000)

# Create a new Logfile
log = Logfile()
log.write(["trialnr", "key", "foreperiod", "RT"])

# Create a new Screen
scr = Screen()
scr.draw_fixation(pw=3, diameter=15)

# Create a blank screen
blank = Screen()

# Create a feedback screen
feedbackscr = Screen()


# # # # #
# EXPERIMENT

for i in range(3):

    # # # # #
    # TRIAL
    
    # Show the blank screen
    disp.fill(blank)
    disp.show()
    
    # Wait for a variable time
    pause = 1 + random.random() * 5
    time.sleep(pause)
    
    # Update display
    disp.fill(scr)
    t0 = disp.show()
    
    # Get a response
    keyname, keytime = kb.get_key( \
        keylist=['space'], flush=True)
    
    # Compute response time
    rt = (keytime - t0) / 1000.0
    
    # Log response
    log.write([i, keyname, pause, rt])
    
    # Clear the screen
    feedbackscr.clear()
    
    # Draw the feedback
    feedback = "Key=%s, RT=%.3f" % (keyname, rt)
    feedbackscr.draw_text(text=feedback, fontsize=40)
    
    # Show the feedback
    disp.fill(feedbackscr)
    disp.show()
    
    time.sleep(0.5)

log.close()
disp.close()